/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	LO Annotation教材 サーバクラス
//			変更履歴
//				2004.01.08	新規作成	五木田 泰史
//
package jp.co.ntt.lms.lo.Container;

import java.util.*;
import java.io.*;
import jp.co.ntt.lms.lo.*;
import jp.co.ntt.lms.xmo.util.*;

public class ContainerEnv extends LoEnvironment
{

	private static final String mstrFileName = "/conf/lo/Container.ini";

	/** プロパティファイルを保持します */
	private static Properties objProperty = null;

	// プロパティ定義
	/** 登録メニューURLパス */
	public static final String INSERT_MENU_URL = "insert_menu_url";		
	/** 更新メニューURLパス */
	public static final String UPDATE_MENU_URL = "update_menu_url";		
	/** 削除メニューURLパス */
	public static final String DELETE_MENU_URL = "delete_menu_url";		

	/**
	 * コンストラクタです
	 * @exception LOException
	 */
	public ContainerEnv()
		throws LOException
	{
		super();
		// クラス単位の排他処理を行う。
		synchronized(this.getClass())
		{
			//	環境情報の初期化が行われていない時のみ
			//	環境ファイルを読み込む
			if(objProperty == null)
			{
				objProperty = loadProperty(mstrFileName);
			}
		}
	}
	
	/**
	 * コンテナ登録メニューURLを取得します
	 *
	 * @return String 登録メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getInsertMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(INSERT_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * コンテナ更新メニューURLを取得します
	 *
	 * @return String 更新メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getUpdateMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(UPDATE_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * コンテナ削除メニューURLを取得します
	 *
	 * @return String 削除メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getDeleteMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(DELETE_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}
}
